Get Capabilities

Get Capabilities
Get interconnect capabilities

Retrieves all HCX Interconnect capabilities available in the current deployment. Capabilities define the features and services that can be used based on the deployed infrastructure, licenses, and configuration. Use this to determine which migration types, network services, and features are available.

Request
URI
GET
https://{server}/hybridity/api/interconnect/capabilities
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Accepted

Returns capabilitiesListResponse of type(s) application/json
{
    "items": [
        {
            "endpoints": [
                {
                    "endpointId": "string"
                }
            ],
            "isInterconnectCapable": false,
            "isFleetCapable": false,
            "customFleetNetworkCapable": false,
            "resourceCapabilities": [
                {
                    "resources": [
                        {
                            "endpointId": "string",
                            "resourceId": "string"
                        }
                    ],
                    "interconnectDeploy": {
                        "isSupported": false,
                        "message": "string"
                    },
                    "fleetDeploy": {
                        "message": "string",
                        "isSupported": false
                    },
                    "interconnectUpgrade": {
                        "message": "string",
                        "isSupported": false
                    },
                    "pmtuConfiguration": false
                }
            ],
            "warnings": [
                {
                    "message": "string"
                }
            ],
            "errors": [
                {
                    "code": "string",
                    "message": "string"
                }
            ]
        }
    ],
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
items
Optional

items

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/capabilities